
e TB Manager Bangladesh - Bug #989

[Tasks from Mauricio TO-DO List] Check if new duplicated numbers still had appeared

12/05/2013 06:08 PM - Maurício Dos Santos

Status: Closed Start date: 12/05/2013

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: e-TB Manager version 2.0-b757 Spent time: 0.00 hour

Description

The system duplicates the case number when it is done a validation of more than one case per hour, minute and second.

Solution:

Turn the validating class a @Synchronized class.

This solution is under observation to check if it has solved the problem.

History

#1 - 12/12/2013 06:49 PM - Maurício Dos Santos

Retrieve the old numbers that was set to null on the last change.

#2 - 12/17/2013 05:04 PM - Maurício Dos Santos

- Subject changed from Duplicated case numbers to Retrieve the old numbers that was set to null on the last change.

#3 - 12/17/2013 05:13 PM - Luis Gustavo do Valle Bastos

- Subject changed from Retrieve the old numbers that was set to null on the last change. to Retrieve original numbers that was set to null and check if

new duplicated numbers still had appeared

#4 - 12/23/2013 08:24 AM - Maurício Dos Santos

The script to retrieve the numbers is on the dev server. On the next version update in bangladesh the original numbers will be back.

#5 - 02/11/2014 04:03 PM - Maurício Dos Santos

The script was executed and the patients received their old recordnumber again.

I have analysed if new duplicity has happened on the system. I saw that the last duplicity appeared on December 24th. I don't remember when the

bangladesh server was updated with the correction to avoid new duplicity, but I guess it was before that.

So, the correction didn't fixed the bug.

I need a talk with Ricardo to discuss this.

#6 - 03/02/2014 12:22 PM - Maurício Dos Santos

- Subject changed from Retrieve original numbers that was set to null and check if new duplicated numbers still had appeared to Check if new

duplicated numbers still had appeared

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria
Waiting e-mail response sent to Ricardo copied to Gustavo.

#7 - 06/04/2015 05:03 PM - Maurício Dos Santos

- Subject changed from Check if new duplicated numbers still had appeared to [Tasks from Mauricio TO-DO List] Check if new duplicated numbers still

had appeared

- Status changed from Feedback to In Progress

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

A new solution was implemented. Waiting the update of Bangladesh version to check weekly if the duplicity is already happening.

#8 - 06/12/2015 05:37 PM - Maurício Dos Santos

- Status changed from In Progress to New

#9 - 06/16/2015 09:24 PM - Maurício Dos Santos

- Status changed from New to In Progress

Query used to check

select p.recordnumber, count(*) as qtd

from tbcase c

inner join patient p on p.id = c.patient_id

inner join TransactionLog ct on ct.id = p.createtransaction_id

where ct.transactiondate > '2015-06-16 00:00:00'

group by p.recordnumber

having qtd > 1;

#10 - 07/18/2015 05:03 PM - Maurício Dos Santos

Checked on the 16th of July 2015. No duplicated case was found.

#11 - 09/22/2015 12:50 PM - Maurício Dos Santos

Checked on 22nd of september

#12 - 09/24/2016 08:36 PM - Ricardo Memoria

- Status changed from In Progress to Closed
